%define name SpiralLoops
%define version 2.0.0

Name:    %{name}
Summary: Experimental loop based sampler
Version: %{version}
Release: %mkrel 4

Source:		%name-%{version}.tar.xz
Source1: 	SpiralLogo48.png
Source2: 	SpiralLogo32.png
Source3: 	SpiralLogo16.png
Patch:		%name-2.0.0.patch
Patch1:         SpiralLoops-2.0.0-fix-build.patch
Patch2:		SpiralLoops-2.0.0-gcc43.patch
Patch3:		SpiralLoops-2.0.0-newer-fltk.patch
URL:		http://www.pawfal.org/Software/SpiralLoops
License:	GPLv2+
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	fltk-devel

%description
The idea of SpiralLoops is to provide a simple, visual tool for looping and
layering of sounds; which can be sourced from either wav files on disk, or
from sound generating plugins.

SpiralLoops allows you to create loop based compositions with the minimum
feedback time between the decisions you make and your ears.
The looping mechanism is very flexible, you can lock the timing of loops
together, or offset them for creating complex sequences, such as polyrhythms.
Loop triggers can be used to cause interation between the loops, and as an
expermental way of creating music.

Spiral Synth uses the standard OSS/Free sound output (/dev/dsp). This should
work on ALSA too.

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p0
%patch3 -p0
perl -p -i -e 's/usr\/X11R6\/lib/usr\/X11R6\/%{_lib}/g' Makefile.in

%build
%configure2_5x
%make CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" LFLAGS="%{?ldflags}"
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
cp %name $RPM_BUILD_ROOT/%_bindir

#menu


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=Synthesized Loops
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=AudioVideo;Video;AudioVideoEditing;X-MandrivaLinux-Multimedia-Sound
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README COPYING CHANGES
%{_bindir}/%name
%{_datadir}/applications/%{name}.desktop
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png



%changelog
* Fri Apr 08 2016 bb <bb> 2.0.0-4pclos2016
- rebuild for updates

* Sat Oct 11 2011 Archie <pclinuxos.ph at gmail.com> 2.0.0-3pclos2011
- Rebuild for x86_64

* Sun Nov 21 2010 Texstar <texstar at gmail.com> 2.0.0-2pclos2010
- rebuild

* Wed Jun 18 2009 johnnyblack <johnnyblack@inbox.com> 2.0.0-1pclos2009
- create

